Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-qt/dialogs.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Typedefs | Functions
dialogs.h File Reference
`#include "dialogs_g.h"`
`#include <QDialog>`
`#include <QMessageBox>`
`#include <QVariant>`
`#include "fonts.h"`
`#include "hudwidget.h"`
`#include "mapview.h"`

Go to the source code of this file.

## Data Structures

class | qdef_act
class | qfc_dialog
class | disband_box
class | notify_goto
class | races_dialog
class | notify_dialog
class | units_select
class | Choice_dialog_button
class | choice_dialog

## Typedefs

typedef void(* | pfcn_void) (QVariant, QVariant)

## Functions

void | update_nationset_combo ()
void | popup_races_dialog (struct player *pplayer)
void | restart_notify_dialogs ()
void | popup_revolution_dialog (struct government *gov=nullptr)
void | revolution_response (struct government *gov)
void | popup_upgrade_dialog (struct unit_list *punits)
void | popup_disband_dialog (struct unit_list *punits)
bool | try_default_unit_action (QVariant q1, QVariant q2)
bool | try_default_city_action (QVariant q1, QVariant q2)

## Typedef Documentation

## ◆ pfcn_void

typedef void(* pfcn_void) (QVariant, QVariant)

Definition at line 46 of file dialogs.h.

## Function Documentation

## ◆ popup_disband_dialog()

void popup_disband_dialog | ( | struct unit_list * | punits | ) |

Pops up a dialog to confirm disband of the unit(s).

Definition at line 1473 of file dialogs.c.

Referenced by unit_item::disband(), mr_menu::slot_disband(), unit_disband_callback(), unit_disband_callback(), unit_disband_callback(), and unit_disband_callback().

## ◆ popup_races_dialog()

void popup_races_dialog | ( | struct player * | pplayer | ) |

Popup the dialog 10% inside the main-window

Popup the nation selection dialog.

Definition at line 1215 of file dialogs.c.

Referenced by conn_menu_nation_chosen(), conn_menu_nation_chosen(), nation_button_callback(), nationset_changed(), pregame_options::pick_nation(), races_update_pickable(), select_nation_callback(), chat_listener::send_chat_message(), and fc_client::slot_pick_nation().

## ◆ popup_revolution_dialog()

void popup_revolution_dialog | ( | struct government * | gov | ) |

Popup revolution dialog for user

Popup a dialog asking if the player wants to start a revolution.

Definition at line 284 of file dialogs.c.

## ◆ popup_upgrade_dialog()

void popup_upgrade_dialog | ( | struct unit_list * | punits | ) |

Pops up a dialog to confirm upgrading of the unit.

Popup dialog for upgrade units

Definition at line 1435 of file dialogs.c.

Referenced by mr_menu::slot_upgrade(), unit_upgrade(), unit_upgrade_callback(), unit_upgrade_callback(), unit_upgrade_callback(), unit_upgrade_callback(), upgrade_callback(), and unit_item::upgrade_unit().

## ◆ restart_notify_dialogs()

void restart_notify_dialogs | ( |  | ) |

Restarts all notify dialogs

Definition at line 4048 of file dialogs.cpp.

## ◆ revolution_response()

void revolution_response | ( | struct government * | gov | ) |

Starts revolution with targeted government as target or anarchy otherwise

Definition at line 1926 of file dialogs.cpp.

Referenced by popup_revolution_dialog().

## ◆ try_default_city_action()

bool try_default_city_action | ( | QVariant | q1,
|  | QVariant | q2
| ) |  |

Try to pick up default city action

Definition at line 1571 of file dialogs.cpp.

Referenced by popup_action_selection().

## ◆ try_default_unit_action()

bool try_default_unit_action | ( | QVariant | q1,
|  | QVariant | q2
| ) |  |

Try to pick up default unit action

Definition at line 1553 of file dialogs.cpp.

Referenced by popup_action_selection().

## ◆ update_nationset_combo()

void update_nationset_combo | ( |  | ) |

Updates nationset combobox

Definition at line 1273 of file dialogs.cpp.

Referenced by option_gui_update().